File: lucid.cabal

package info (click to toggle)
haskell-lucid 2.9.11-1
  • links: PTS, VCS
  • area: main
  • in suites:
  • size: 152 kB
  • sloc: haskell: 1,306; makefile: 4
file content (91 lines) | stat: -rw-r--r-- 2,841 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
name:                lucid
version:             2.9.11
synopsis:            Clear to write, read and edit DSL for HTML
description:
  Clear to write, read and edit DSL for HTML.
  .
  * Names are consistent, and do not conflict with base or are keywords (all have suffix @_@)
  .
  * Same combinator can be used for attributes and elements (e.g. 'style_')
  .
  * For more, read <https://chrisdone.com/posts/lucid the blog post>
  .
  See the "Lucid" module for more documentation.
homepage:            https://github.com/chrisdone/lucid
license:             BSD3
license-file:        LICENSE
author:              Chris Done
maintainer:          chrisdone@gmail.com, oleg.grenrus@iki.fi
copyright:           2014-2017 Chris Done
category:            Web
build-type:          Simple
cabal-version:       >=1.8
extra-source-files:  README.md, CHANGELOG.md
tested-with:         GHC==7.10.3,GHC==8.0.2,GHC==8.2.2,GHC==8.4.4,GHC==8.6.1

library
  hs-source-dirs:    src/
  ghc-options:       -Wall -O2
  exposed-modules:   Lucid
                     Lucid.Base
                     Lucid.Html5
                     Lucid.Bootstrap

  -- GHC boot libraries
  build-depends:     base                   >=4.8      && <4.13
                   , bytestring             >=0.10.6.0
                   , containers             >=0.5.6.2
                   , transformers           >=0.4.2.0

  -- GHC boot libraries since 8.4.
  build-depends:     mtl                    >=2.2
                   , text                   >=1.2.0.2

  -- compat packages
  if !impl(ghc >= 8.0)
    build-depends:   semigroups            >=0.16.1

  -- other dependencies
  build-depends:     blaze-builder         >=0.4.0.0
                   , hashable              >=1.2.3.2
                   , mmorph                >=1.0.3
                   , unordered-containers  >=0.2.5.1

test-suite test
    type: exitcode-stdio-1.0
    main-is: Main.hs
    hs-source-dirs: test
    other-modules: Example1
    build-depends: base,
                   lucid,
                   HUnit,
                   hspec,
                   parsec,
                   bifunctors,
                   text,
                   mtl

benchmark bench
  type:             exitcode-stdio-1.0
  hs-source-dirs:   benchmarks
  main-is:          Main.hs
  other-modules:    HtmlBenchmarks
  build-depends:    base,
                    deepseq,
                    criterion,
                    blaze-builder,
                    text,
                    bytestring,
                    lucid
  ghc-options:      -O2

benchmark bench-io
  type:             exitcode-stdio-1.0
  hs-source-dirs:   benchmarks
  main-is:          IO.hs
  build-depends:    base,
                    criterion,
                    transformers,
                    text,
                    lucid
  ghc-options:      -O2